package de.ozgcloud.nachrichten.info;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.ozgcloud.info.nachricht.GrpcNewNachrichtRequest;
import de.ozgcloud.info.nachricht.NachrichtServiceGrpc.NachrichtServiceBlockingStub;
import net.devh.boot.grpc.client.inject.GrpcClient;

@Service
class InfoManagerRemoteService {

	@GrpcClient("info-manager")
	private NachrichtServiceBlockingStub nachrichtServiceStub;

	@Autowired
	private InfomanagerNachrichtMapper nachrichtMapper;

	public String sendNotification(InfoManagerRequest nachricht) {
		var grpcNewNachrichtReply = nachrichtServiceStub.saveNewNachricht(buildNachrichtRequest(nachricht));
		return grpcNewNachrichtReply.getStatus();
	}

	GrpcNewNachrichtRequest buildNachrichtRequest(InfoManagerRequest nachricht) {
		return GrpcNewNachrichtRequest.newBuilder().setNachricht(nachrichtMapper.toGrpc(nachricht)).build();
	}

}
