package de.ozgcloud.nachrichten.antragraum;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;

class TrustLevelTest {

	@DisplayName("From string")
	@Nested
	class TestFromString {

		@DisplayName("should return TrustLevel if value matches with existing")
		@Test
		void shouldReturnTrustLevel() {
			var trustLevelValue = "STORK-QAA-Level-2";

			var trustLevel = TrustLevel.fromString(trustLevelValue);

			assertThat(trustLevel.getValue()).isEqualTo(trustLevelValue);
		}

		@Test
		void shouldThrowExceptionIfValueNotMatches() {
			var trustLevelValue = "quatsch";

			assertThatThrownBy(() -> TrustLevel.fromString(trustLevelValue)).isInstanceOf(IllegalArgumentException.class);
		}
	}
}
